Resolution:

Description

If we could have a Complexity custom data filed on issues, we could easily separate issues that are easy from the harder ones. This
would help new contributors pick up easy wins and would help me know what to work on when | don't have much time. | think these
options would be a good variety:

e Large - lots of changes with a lot of tests. e.g. APl changes, new library integrations

¢ Medium - moderate changes to a few components. e.g. Moving issues from project-only to the global views
Small - features that are isolated. e.g. Adding new hooks, new wiki macro

Micro - tiny fixes. e.g. unclosed html, typos, adding css classes

Feel free to change the names or scopes. I'm just looking for a way to separate the Micro sized ones and the Large ones.

History

#1 - 2009-03-28 00:19 - James Turnbull

| think "Complexity" would work better:

Trivial/Easy/Medium/Hard or something like that - oh and plus an Unknown probably.

#2 - 2009-03-28 00:39 - Eric Davis

- Subject changed from [redmine.org] Change size custom data field to [redmine.org] Complexity custom data field
James Turnbull wrote:
| think "Complexity" would work better:
Yea, that's what | meant. Thanks.
#3 - 2013-04-10 18:07 - Dipan Mehta

There are so many issues @ Redmine.org. Many issues are indeed small and many goes into huge debates. | think it makes sense we bring this on
this site now.
